<?php

require_once("tests/StandardUnitTestAbstract.php");

class Formatting_GeneralFormattingTest extends StandardUnitTestAbstract
{
	
    public $sniffs = array(
    	'Squiz.WhiteSpace.CastSpacing',
        'Squiz.WhiteSpace.OperatorSpacing',
    	'Generic.Formatting.SpaceAfterCast',
        'Generic.Formatting.DisallowMultipleStatements',
    );
	
    /**
     * Returns the lines where errors should occur.
     *
     * The key of the array should represent the line number and the value
     * should represent the number of errors that should occur on that line.
     *
     * @return array(int => int)
     */
    public function getErrorList()
    {
        return Array(
            5 => 2,
            7 => 1,
            8 => 2,
            9 => 1,
            10 => 1,
            12 => 1,
            14 => 1,
            17 => 1,
        );
    }

    public function getWarningList()
    {
        return array();
    }
}